Elder Keef:
We of the Bronze Key Guild are an association of Dwarves whose motto is to do anything for the client, even if that means fetching a dragon's tooth! Our job is to collect the rare and precious materials that craftsmen from many guilds need to make their wares! We are the guild of pioneers, traders and explorers, and we are willing to follow the thorniest path to find new materials and rare resources! Moreover, since we travel everywhere, our guild has the best cartography and navigation techniques.
Our guild members are as diligent as craftsmen, but we are also valiant Dwarves who know the pleasure of traveling and adventure!
Return